curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/transactions/{transaction_guid}/insights \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/transactions/{transaction_guid}/insights"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/users/{user_guid}/transactions/{transaction_guid}/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"insights": [
{
"active_at": "2022-01-07T12:00:00Z",
"client_guid": "CLT-abcd-1234",
"created_at": "2022-01-12T18:16:51Z",
"cta_clicked_at": "2022-01-13T18:13:51Z",
"description": "Gold's Gym charged you $36.71 more this month than normal. Did you upgrade your service?",
"guid": "BET-abcd-1234",
"has_associated_accounts": false,
"has_associated_categories": false,
"has_associated_merchants": false,
"has_associated_scheduled_payments": false,
"has_associated_transactions": true,
"has_been_displayed": true,
"is_dismissed": false,
"micro_call_to_action": "Learn more",
"micro_description": "Netflix charged you $5.00 more this month than normal.",
"micro_title": "Price increase",
"template": "SubscriptionPriceIncrease",
"title": "Price increase",
"updated_at": "2022-01-12T18:16:51Z",
"user_guid": "USR-1234-abcd",
"user_id": "<unknown>"
}
],
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}List insights by transaction
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique id for a transaction.
The unique identifier for a user, beginning with the prefix USR-.
Query Parameters
Results are paginated. Specify current page.
This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 100. If the value exceeds 100, the default value of 25 will be used instead.
Response
OK
Hide child attributes
Hide child attributes
"2022-01-07T12:00:00Z"
"CLT-abcd-1234"
"2022-01-12T18:16:51Z"
"2022-01-13T18:13:51Z"
"Gold's Gym charged you $36.71 more this month than normal. Did you upgrade your service?"
"BET-abcd-1234"
false
false
false
false
true
true
false
"Learn more"
"Netflix charged you $5.00 more this month than normal."
"Price increase"
"SubscriptionPriceIncrease"
"Price increase"
"2022-01-12T18:16:51Z"
"USR-1234-abcd"

